Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceOperAccountTypeDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceOperAccountType>
ru.bitel.common.dao.AbstractIdDao<VoiceOperAccountType>
ru.bitel.common.dao.AbstractDirectoryIdDao<VoiceOperAccountType>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceAccountTypeAbstractDao<VoiceOperAccountType>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceOperAccountTypeDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<VoiceOperAccountType>`

public class VoiceOperAccountTypeDao extends VoiceAccountTypeAbstractDao<VoiceOperAccountType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceAccountTypeAbstractDao

  `isOperator`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceOperAccountTypeDao(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected VoiceOperAccountType`
  `createAccountTypeInstance()`
  `protected String`
  `fields()`
  `protected VoiceOperAccountType`
  `getFromRS(ResultSet rs)`
  `protected int`
  `setParams(VoiceOperAccountType type, PreparedStatement ps, int idx)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceAccountTypeAbstractDao

  `get, list, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### VoiceOperAccountTypeDao

    public VoiceOperAccountTypeDao(Connection con, int mid)

- ## Method Details

  - ### getFromRS

    protected VoiceOperAccountType getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Overrides:
      `getFromRS` in class `VoiceAccountTypeAbstractDao<VoiceOperAccountType>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### createAccountTypeInstance

    protected VoiceOperAccountType createAccountTypeInstance()
    Specified by:
      `createAccountTypeInstance` in class `VoiceAccountTypeAbstractDao<VoiceOperAccountType>`

  - ### setParams

    protected int setParams(VoiceOperAccountType type, PreparedStatement ps, int idx) throws SQLException
    Specified by:
      `setParams` in class `VoiceAccountTypeAbstractDao<VoiceOperAccountType>`
    Throws:
      `SQLException`

  - ### fields

    protected String fields()
    Specified by:
      `fields` in class `VoiceAccountTypeAbstractDao<VoiceOperAccountType>`